Subject: Re: bug#23920: [elpa] excorporate.el:257:23:Error: Wrong type argument: listp, start-exco--fsm

From: Thomas Fitzsimmons <[email-masked]>
Date: Sun, 10 Jul 2016 12:24:23 -0400

Mario Lang <[email-masked]> writes:

> Thomas Fitzsimmons <[email-masked]> writes:
>
>> Paul Eggert <[email-masked]> writes:
>>
>>> On 07/08/2016 12:56 PM, Mario Lang wrote:
>>>> Am I the only one how sees this error when trying to build elpa?
>>>
>>> No, I also see it, with a plain 'make' at the top level, using
>>> emacs-25 Emacs, and compiling the current bleeding-edge ELPA (commit
>>> a5d157b2e87427184f2c92a9b7bb9c99d6656aa1 dated June 30).That being
>>> said, I am by no means an ELPA expert (I first tried to build it
>>> today), and perhaps I am missing something too.
>>
>> I see it too.  If I build packages/fsm before building
>> packages/excorporate (by temporarily moving the directory out of
>> packages/), I don't get the error.
>
> That seems to be it.  If I add the following line to the top-level
> GNUMakefile, "make" manages to build excorporate.elc just fine (there are
> other errors now, particularily with the rudel package).
>
> packages/excorporate/excorporate.elc: packages/fsm/fsm.elc
>
> So the problem seems to be that compilation order is relevant.  If fsm
> is loaded uncompiled, it fails.
>
> I wonder if this is consider a bug in fsm.el, or if we shall add the
> above quick fix to the GNUMakefile.

This is now fixed on master, by fsm.el 0.2.1.

Thomas